Package com.emc.documentum.rest.dfc

# Class SessionAwareAbstractManager

java.lang.Object
com.emc.documentum.rest.dfc.SessionAwareAbstractManager

public abstract class SessionAwareAbstractManager extends Object
An abstract class containing the autowired bean of the `RepositorySession`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionAwareAbstractManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <V> V`
  `executeWithSession(ContextSessionManager.SessionCallable<V> callable)`
  execute the SessionCallable with a shared session, and the session will be automatically released
  `protected <V> V`
  `executeWithSession(ContextSessionManager.SessionCallable<V> callable, boolean usePrivate)`
  execute the SessionCallable with the session, and the session will be automatically released
  `protected RepositorySession`
  `getSessionRepository()`
  Returns the instance of RepositorySession
  `protected void`
  `setSessionRepository(RepositorySession dfcSessionRepository)`
  Set the instance of RepositorySession

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionAwareAbstractManager

    public SessionAwareAbstractManager()

- ## Method Details

  - ### getSessionRepository

    protected RepositorySession getSessionRepository()
    Returns the instance of RepositorySession
    Returns:
      the instance of RepositorySession

  - ### setSessionRepository

    protected void setSessionRepository(RepositorySession dfcSessionRepository)
    Set the instance of RepositorySession
    Parameters:
      `dfcSessionRepository` - the instance of RepositorySession

  - ### executeWithSession

    protected <V> V executeWithSession(ContextSessionManager.SessionCallable<V> callable, boolean usePrivate) throws com.documentum.fc.common.DfException
    execute the SessionCallable with the session, and the session will be automatically released
    Type Parameters:
      `V` - the execution return type
    Parameters:
      `callable` - the SessionCallable object
      `usePrivate` - whether privately use the session
    Returns:
      the result of SessionCallable
    Throws:
      `com.documentum.fc.common.DfException` - the exception during execution

  - ### executeWithSession

    protected <V> V executeWithSession(ContextSessionManager.SessionCallable<V> callable) throws com.documentum.fc.common.DfException
    execute the SessionCallable with a shared session, and the session will be automatically released
    Type Parameters:
      `V` - the execution return type
    Parameters:
      `callable` - the SessionCallable object
    Returns:
      the result of SessionCallable
    Throws:
      `com.documentum.fc.common.DfException` - the exception during execution